gnutls_x509_crt_get_subject_alt_name2(3)

NAME
gnutls_x509_crt_get_subject_alt_name2 - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_subject_alt_name2(gnutls_x509_crt_t cert, unsigned int seq, void * ret, size_t * ret_size, unsigned int * ret_type, unsigned int * critical);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

unsigned int seq
    specifies the sequence number of the alt name (0 for the first one, 1 for the second etc.)

void * ret
    is the place where the alternative name will be copied to

size_t * ret_size
    holds the size of ret.

unsigned int * ret_type
    holds the type of the alternative name (one of gnutls_x509_subject_alt_name_t).

unsigned int * critical
    will be non zero if the extension is marked as critical (may be null)

DESCRIPTION
This function will return the alternative names, contained in the given certificate. It is the same as gnutls_x509_crt_get_subject_alt_name() except for the fact that it will return the type of the alternative name in ret_type even if the function fails for some reason (i.e. the buffer provided is not enough).

RETURNS
the alternative subject name type on success, one of the enumerated gnutls_x509_subject_alt_name_t. It will return GNUTLS_E_SHORT_MEMORY_BUFFER if ret_size is not large enough to hold the value. In that case ret_size will be updated with the required size. If the certificate does not have an Alternative name with the specified sequence number then GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.